# Attaque par rançongiciel

L'attaque par rançongiciel est une prise d'orage de données personnelles. Pour ce faire, le logiciel va chiffrer les données d'un système et ensuite afficher un message demandant une rançon pour déchiffrer les données. La rançon sera habituellement exigée sous la forme de cryptomonnaie. Dans tous les cas, il n'est jamais recommandé de payer la rançon.

## Comment éviter cette histoire d'horreur.

### Avoir une stratégie de sauvegarde efficace

Un système qui a été infecté par un rançongiciel est jugé irrécupérable et devra être entièrement formaté. C'est pourquoi il est important d'avoir des sauvegardes de nos fichiers sur au moins deux supports différents:

- Une sauvegarde en ligne sur un service infonuagique protégée par la cryptographie. Le système de sauvegarde en ligne [Borg](https://borgbackup.readthedocs.io/en/stable/) permet d'appliquer cette stratégie
- Une sauvegarde physique sur un appareil de stockage tel qu'un disque dur portatif, une clé USB ou un autre ordinateur. 

Pour faciliter cette tâche, le logiciel rsync est tout indiqué. Pour avoir un aperçu de son utilisation, notre guide de juillet 2021, Partir en vacances l’esprit tranquille, propose un survol de cet outil. Il est disponible à cette adresse: [https://jevalide.ca/2021/07/27/guide-pratique-partir-en-vacances-lesprit-tranquille/](https://jevalide.ca/2021/07/27/guide-pratique-partir-en-vacances-lesprit-tranquille/)

De plus, afin de contrer le fait qu'une sauvegarde puisse avoir été contaminée par un rançongiciel détecté tardivement, il est recommandé d'avoir, en complément, un mode de sauvegarde incrémental qui garde des copies des versions antérieures des fichiers.

Un outil de collaboration basé sur des fichiers, comme Nextcloud ou SharePoint, permet de conserver facilement plusieurs versions des fichiers de manière transparente pour l'utilisateur.

Afin de limiter l'exposition à des données personnelles, essayez de les conserver le moins longtemps possible sur votre ordinateur de travail. Préférez toujours un support hors-ligne pour celles-ci.

Pour avoir plus de détails sur les différentes stratégies de sauvegarde, nous vous invitons à consulter notre guide intitulé **Les 3 types de sauvegardes** publié en août 2021 à cette adresse: [https://jevalide.ca/2021/08/09/les-3-types-de-sauvegardes-guide-pdf-aout-2021/](https://jevalide.ca/2021/08/09/les-3-types-de-sauvegardes-guide-pdf-aout-2021/)

### Éviter les fichiers exécutables et les liens suspects par courriel

Privilégiez, dans vos communications avec les clients et les entreprises, des courriels simples, en texte seulement, et évitez les pièces jointes qui peuvent contenir du contenu exécutable. 

Dans tous les cas, n'ouvrez jamais de fichiers exécutables provenant d'une source externe non certifiée, même si c'est un de vos contacts. Tous les fichiers de type Office peuvent contenir du contenu exécutable, alors limitez vos pièces jointes à des fichiers de texte simple ou des fichiers PDF.

### Valider l'authenticité et l'intégrité des fichiers exécutables téléchargés

Lorsque vous devez exécuter un fichier exécutable provenant de l'externe, assurez-vous de valider les sommes de contrôle de ces fichiers avec l'utilitaire `shasum` sur Linux et MacOS, depuis le terminal.

```{bash}
shasum -a 1 <fichier>
```

Sur Windows, on utilise le logiciel `certutil` comme suit, depuis l'invite de commandes ou PowerShell.

```{powershell}
certutil -hashfile <fichier> SHA1
```

### Effectuer la mise à jour périodique de tous ses logiciels et appareils

Nous ne pourrons jamais autant le répéter ! Un des meilleurs moyens de garder son système en sécurité est de faire ses mises à jour le plus fréquemment possible. Dans le meilleur des cas, celles-ci sont effectuées quotidiennement. Dans le pire des cas, mensuellement. 

Aucun système qui n'a pas été mis à jour depuis plus d'un mois ne devrait pouvoir se connecter à Internet. Point !

Sur Windows, en plus des mises à jour du système, avec Windows Update, il faut mettre à jour individuellement chacun des logiciels installés. Heureusement, de plus en plus de logiciels proposent de vérifier la présence de nouvelles versions lors de leur ouverture. Si cette option est disponible pour vos logiciels couramment utilisés, activez-là !

### Utiliser des mots de passe robustes et uniques

Un mot de passe robuste est un mot de passe qui n'est pas composé de mots du dictionnaire et de chiffres. Il est unique et ne devrait être utilisé qu'une seule fois, pour un seul compte. Il peut être difficile de retenir plusieurs mots de passe au lieu d'un seul. 

Cependant, il existe maintenant des logiciels qui s'occupent de gérer les nombreux mots de passe à notre place. Ils permettent même d'en générer des nouveaux. Un de ces logiciels est [Bitwarden](https://bitwarden.com/), un logiciel libre qui offre aussi un service gratuit en ligne. Ce logiciel offre des applications client sur toutes les plateformes et il est très convivial à utiliser.

### Utiliser l'authentification à facteurs multiples

L'authentification à facteurs multiples permet d'éviter à quelqu'un qui aurait accès à votre mot de passe de se connecter sans pouvoir vérifier un autre élément. Il faut la privilégier sur tous les comptes en ligne où cette option est disponible.

Cette véficfication peut être biométrique, avec une empreinte digitale, par un SMS ou avec une application mobile de génération de mots de passe à usage unique basés sur le temps (Time-base one time password, ou TOTP). L'application libre [FreeOTP+](https://f-droid.org/en/packages/org.liberty.android.freeotpplus/) pour Android facilite cette tâche. De plus, il est possible d'effectuer une sauvegarde de celle-ci facilement.
Sur iOS, l'application [FreeOTP Authenticator](https://apps.apple.com/in/app/freeotp-authenticator/id872559395), une version antérieure, effectue un travail similaire.

Il existe aussi des clés physiques telles que la [Yubikey](https://www.yubico.com/?lang=fr) qui permettent d'avoir une authentification plus sécurisée.

### Activer le pare-feu de son ordinateur et de son routeur



## Trop tard ... On fait quoi maintenant

